%define snapshot 0
%define bootstrap 0

%ifarch %{arm} aarch64
%define build_docs 0
%else
%if %bootstrap
%define build_docs 0
%else
%define build_docs 1
%endif
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 7

%define rel 1
%define pre rc

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtscripttools %mklibname qt5scripttools %qtmajor
%define libqtscripttools_d %mklibname qt5scripttools -d

%define libqtscript %mklibname qt5script %qtmajor
%define libqtscript_d %mklibname qt5script -d

%if %snapshot
%define qttarballdir qtscript-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtscript-everywhere-opensource-src-%{qtversion}
%endif

Name: qtscript5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Script component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel

## upstream patches

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
The QtScript module provides classes for making Qt applications
scriptable.

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtScript%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtScript5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtscript.qch
%{_qt5_docdir}/qtscript/
%{_qt5_docdir}/qtscripttools.qch
%{_qt5_docdir}/qtscripttools/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtscripttools}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: qtscripttoolslib = %{version}

%description -n %{libqtscripttools}
Qt%{qtmajor} Component Library.

The QtScriptTools module provides additional components for applications
that use Qt Script.

%files -n %{libqtscripttools}
%{_qt5_libdir}/libQt5ScriptTools.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtscripttools_d}
Summary: Devel files needed to build apps based on QtScriptTools
Group:    Development/KDE and Qt
Requires: %{libqtscripttools} = %version
Requires: qtbase5-common-devel = %version
Provides: libqtscripttools5-devel = %version
Provides: libqt5scripttools-devel = %version
Provides: qtscripttools5-devel = %version
Provides: qt5scripttools-devel = %version

Provides: libqtscripttools5-private-devel = %version
Provides: libqt5scripttools-private-devel = %version
Provides: qtscripttools5-private-devel = %version
Provides: qt5scripttools-private-devel = %version

%description -n %{libqtscripttools_d}
Devel files needed to build apps based on QtScriptTools.

%files -n %{libqtscripttools_d}
%{_qt5_libdir}/libQt5ScriptTools.prl
%{_qt5_libdir}/libQt5ScriptTools.so
%{_qt5_libdir}/pkgconfig/Qt5ScriptTools.pc
%{_qt5_includedir}/QtScriptTools
%{_qt5_libdir}/cmake/Qt5ScriptTools
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_scripttools.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_scripttools_private.pri

#------------------------------------------------------------------------------

%package -n %{libqtscript}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: libqtscript = %{version}
Obsoletes: %{_lib}qtscript5 < %{qtversion}-5

%description -n %{libqtscript}
Qt%{qtmajor} Component Library.

The QtScript module provides classes for making Qt applications
scriptable.

%files -n %{libqtscript}
%{_qt5_libdir}/libQt5Script.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtscript_d}
Summary: Devel files needed to build apps based on QtScript
Group:    Development/KDE and Qt
Requires: %{libqtscript} = %version
Requires: qtbase5-common-devel = %version
Obsoletes: %{_lib}qtscript-devel < %{qtversion}-5
Provides: libqt5script-devel = %version
Provides: libqtscript5-devel = %version
Provides: qtscript5-devel = %version
Provides: qt5script-devel = %version

Provides: libqtscript5-private-devel = %version
Provides: libqt5script-private-devel = %version
Provides: qtscript5-private-devel = %version
Provides: qt5script-private-devel = %version

%description -n %{libqtscript_d}
Devel files needed to build apps based on QtScript.

%files -n %{libqtscript_d}
%{_qt5_libdir}/libQt5Script.prl
%{_qt5_libdir}/libQt5Script.so
%{_qt5_libdir}/pkgconfig/Qt5Script.pc
%dir %{_qt5_includedir}/QtScript
%{_qt5_includedir}/QtScript/QScriptClass
%{_qt5_includedir}/QtScript/QScriptClassPropertyIterator
%{_qt5_includedir}/QtScript/QScriptContext
%{_qt5_includedir}/QtScript/QScriptContextInfo
%{_qt5_includedir}/QtScript/QScriptContextInfoList
%{_qt5_includedir}/QtScript/QScriptEngine
%{_qt5_includedir}/QtScript/QScriptEngineAgent
%{_qt5_includedir}/QtScript/QScriptExtensionInterface
%{_qt5_includedir}/QtScript/QScriptExtensionPlugin
%{_qt5_includedir}/QtScript/QScriptProgram
%{_qt5_includedir}/QtScript/QScriptString
%{_qt5_includedir}/QtScript/QScriptSyntaxCheckResult
%{_qt5_includedir}/QtScript/QScriptValue
%{_qt5_includedir}/QtScript/QScriptValueIterator
%{_qt5_includedir}/QtScript/QScriptValueList
%{_qt5_includedir}/QtScript/QScriptable
%{_qt5_includedir}/QtScript/QtScript
%{_qt5_includedir}/QtScript/QtScriptVersion
%{_qt5_includedir}/QtScript/QtScriptDepends
%{_qt5_includedir}/QtScript/qscriptable.h
%{_qt5_includedir}/QtScript/qscriptclass.h
%{_qt5_includedir}/QtScript/qscriptclasspropertyiterator.h
%{_qt5_includedir}/QtScript/qscriptcontext.h
%{_qt5_includedir}/QtScript/qscriptcontextinfo.h
%{_qt5_includedir}/QtScript/qscriptengine.h
%{_qt5_includedir}/QtScript/qscriptengineagent.h
%{_qt5_includedir}/QtScript/qscriptextensioninterface.h
%{_qt5_includedir}/QtScript/qscriptextensionplugin.h
%{_qt5_includedir}/QtScript/qscriptprogram.h
%{_qt5_includedir}/QtScript/qscriptstring.h
%{_qt5_includedir}/QtScript/qscriptvalue.h
%{_qt5_includedir}/QtScript/qscriptvalueiterator.h
%{_qt5_includedir}/QtScript/qtscriptglobal.h
%{_qt5_includedir}/QtScript/qtscriptversion.h
%{_qt5_includedir}/QtScript/qtscript-config.h

%{_qt5_libdir}/cmake/Qt5Script
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_script.pri
%{_qt5_examplesdir}/script

%dir %{_qt5_includedir}/QtScript/%qtversion
%dir %{_qt5_includedir}/QtScript/%qtversion/QtScript
%dir %{_qt5_includedir}/QtScript/%qtversion/QtScript/private
%{_qt5_includedir}/QtScript/%qtversion/QtScript/private/*.h
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_script_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtscript-everywhere-src-%{qtversion}
%autopatch -p1

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete



%changelog
* Mon Dec 05 2022 neoclust <neoclust> 5.15.7-1.mga9
+ Revision: 1918179
- New version 5.15.7

* Thu Sep 08 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1885960
- New version 5.15.6

* Sat Aug 27 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1881068
- New version 5.15.5

* Sun Apr 03 2022 umeabot <umeabot> 5.15.2-2.mga9
+ Revision: 1841964
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652465
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624917
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589830
- New version 5.15.0
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545310
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484404
- New version 5.14.1

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438497
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421137
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418128
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384496
- Qt5 Rebuild

* Tue Mar 19 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378949
- New version 5.12.2

* Mon Mar 11 2019 daviddavid <daviddavid> 5.12.1-2.mga7
+ Revision: 1374357
- add upstream patch to fix build with gcc 8.3

* Sat Feb 02 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362442
- New version 5.12.1

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339143
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319032
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300721
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245819
- New version 5.11.1

* Sun May 27 2018 neoclust <neoclust> 5.11.0-3.mga7
+ Revision: 1232575
- Disable bootstrap

* Sat May 26 2018 neoclust <neoclust> 5.11.0-2.mga7
+ Revision: 1232262
- Rebuild with bootstrap
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216512
- New version 5.10.1

* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205683
- New version 5.9.4

* Mon Dec 18 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1183190
- New version 5.9.3

* Sun Jul 16 2017 neoclust <neoclust> 5.9.1-1.mga7
+ Revision: 1123579
- New version 5.9.1

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-2.mga6
+ Revision: 1065049
- Rebuild against qtbase 5.6.2

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064827
- New version 5.6.2

* Sun Oct 16 2016 wally <wally> 5.6.1-5.mga6
+ Revision: 1061084
- fix qt5script pkg names

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-4.mga6
+ Revision: 1049773
- recommends qttools5-assistant instead

* Wed Aug 31 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049624
- build missing docs part (mga#9812)
- add qtscript5-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038379
- Update to version 5.6.1-1
- New version

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992496
+ rebuild (emptylog)

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987869
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980615
+ rebuild (emptylog)

* Tue Feb 16 2016 umeabot <umeabot> 5.6.0-0.beta.6.mga6
+ Revision: 962552
- Mageia 6 Mass Rebuild

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.5.mga6
+ Revision: 915945
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915804
- Rebuild against new cmake to have cmake() provides

* Mon Dec 21 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 912771
- Rebuild to fix a typo in provides
- Remove private devel packages

* Fri Dec 18 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911699
- New version 5.6.0 Beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900374
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894501
- New version

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853385
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;
- Delete old sources;

* Mon Jun 22 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 839578
- New version 5.5 rc

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802797
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801812
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 746690
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738096
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639791
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624069
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621404
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612346
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598814
- New version 5.3.0-alpha

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584236
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556707
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.2.mga4
+ Revision: 554414
- update file list
- update file list
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547077
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538990
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491157
- update file list
- 5.2.0 alpha1

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428823
- Rebuild against new qt5 libs location

* Sat May 25 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 427685
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410241
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393987
- New version 5.0.1 Final

* Wed Jan 30 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 393605
- Use qt install macro
- Split private headers on their own package

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392441
- Fix files list
- New version 5.0.1 rc1
- Rebuild with new path
+ fwang <fwang>
- use xz

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 380049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 337523
- Qt 5.0.0 Final

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.1.mga3
+ Revision: 323177
- New rc snapshot

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.17.mga3
+ Revision: 319085
- Fix wrong requires

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319076
- imported package qtscript5

